{% extends 'base.njk' %}{% block title %}BCHN客户端首席维护者的工作汇报（2020-03-31）{% endblock %}{% block description %}{% endblock %}{% block body %}
<section class="bg-dark">
    <div class="container">
        <div class="row pb-3">
            <div class="col my-5 py-5 text-center">
                <h1 class="text-white">BCHN客户端首席维护者的工作汇报（2020-03-31）</h1> 
            </div>
        </div>
    </div>
</section>
<section class="bg-light">
    <div class="container py-6">
        <div class="row justify-content-center">
            <article class="col-md-10 col-lg-8">
                <div class="d-flex align-items-center pb-5">
                    <img src="/static/img/logomark.svg" alt="Logo" class="mr-3 w-auto" height="40">
                    <div>
                        <div>by <strong>freetrader</strong>
                        </div>
                        <div class="text-small text-muted">31 March 2020</div>
                    </div>
                </div>
                <div class="content">
                    <p>

                    </p>
                    <p>时光如梭！自BCHN v0.21.0发布已经过去了一个多月，距离我的<a href="https://read.cash/@freetrader/bchn2020-03-14-8e0e40b3"><u>上次报告</u></a>也已经过去了两个多星期。 从那以后，COVID-19疫情以不同的方式影响到了我们所有人。我希望每个人都采取必要的预防措施，尽可能确保自己的安全和健康，并帮助他人做同样的事情。</p>
                    <p>我希望能够将BCHN的维护者报告周期设定为每半个月一次。但如果我们接下来几周的工作变得更加忙碌，我可能会改为一个月发布一次个人报告，而其他报告（例如BCHN财务报表）则可能会单独完成。</p>
                    <h3 id="-">项目被接受情况</h3>
                    <p>BCHN的区块信号支持减少</p>
                    <ul>
                        <li>
                            <p>SBI crypto的BCH加密货币挖矿活动几乎已经完全消失了，这让我们失去了一些支持。 我不知道该矿池撤出算力的确切原因，但他们为我们的项目做出了巨大贡献。 感谢他们过去的支持，并希望他们能回来。 如果他们对我们的项目有反馈意见，请与我联系！</p>
                        </li>
                        <li>
                            <p>我们还失去了ASICseer矿池的支持，他们已经终止了矿池项目，并向我作了官方声明：</p>
                            <p>“ ASICseer仍然是BCHN项目的有力支持者。但是，由于不完善的BCH DAA（难度调整算法），ASICseer终止了矿池项目。该算法的当前版本允许BTC矿池在挖矿难度较低时将外来算力带入到BCH区块链，从而使其他所有诚实的人处于竞争劣势。”（注意：这里的“外来”不是在谈论国籍，它是指源自不关心BCH的矿工拥有的算力）</p>
                        </li>
                        <li>
                            <p>Bitcoin.com矿池仍在标记对BCHN的支持。 感谢Bitcoin.com一如既往的支持。</p>
                        </li>
                    </ul>
                    <p>由于上述原因，在撰写本文时，根据<a href="https://cash.coin.dance"><a href="https://cash.coin.dance">https://cash.coin.dance</a></a>/blocks，在过去1000个区块中 ，为我们标记支持的区块数量已从最近2周的占BCH区块约12.5％的高点下降到约5.5％。</p>
                    <p>在此期间，我们的侦听节点已从42个上升到55个。该数字未涵盖所有节点，因为某些节点运营者未打开其节点的传入连接。</p>
                    <h3 id="-">财务概况</h3>
                    <p>自上次报告发布以来，我们的项目已通过多重签名捐赠地址bitcoincash：prnc2exht3zxlrqqcat690tc85cvfuypngh7szx6mk收到了一些资金。</p>
                    <p>我们即将参加Flipstarter节点众筹活动，接下来用于特定任务的更多资金地址可能会增加，这将在我们的资金提案中进行概述。</p>
                    <p>截至到今天（区块高度628882），我们在以上地址中拥有的所有资金的公共钱包余额为143.23690617 BCH，比上一次净增加2.18412567 BCH。</p>
                    <p>在此期间，我们的多重签名钱包共支出了三笔：</p>
                    <ul>
                        <li>
                            <p>2020-03-18：支出0.26542268 BCH，将两篇文章翻译成中文（一篇是上一篇网络维护者报告以及我们的《2020年5月及之后的计划》）</p>
                        </li>
                        <li>
                            <p>2020-03-18：支出0.0000048 BCH，这笔资金是由于钱包配置错误导致的，之前交易的变更被发送到一个新地址，而不是返回到主要的捐赠地址。 之后，我们又进行了另一笔交易，支付了少量网络费用，这个交易变更从地址pplgxva6cdkl9ye3par05yspm37jmjpv7vj569rw0a返回给主地址prnc2exht3zxlrqqcat690tc85cvfuypngh7szx6mk</p>
                        </li>
                        <li>
                            <p>2020-03-27：支出0.03130073 BCH，这是另外的一笔中文翻译报销费用 ，内容是关于宣布我们将在2020年5月份升级中维护我们自己的BCH规范（不包括IFP部分）。</p>
                        </li>
                    </ul>
                    <p>该期间的总支出为-0.29672821 BCH。</p>
                    <h3 id="-">项目工作项更新</h3>
                    <p>自最初版本发布以来：</p>
                    <ul>
                        <li>
                            <p>问题：提出66个，关闭27个，39个待解决</p>
                        </li>
                        <li>
                            <p>合并请求：提出133个，合并113个，关闭12个（读取：拒绝或中止），8个待解决</p>
                        </li>
                    </ul>
                    <p>自上次维护者工作汇报（2020-03-14）以来：</p>
                    <ul>
                        <li>
                            <p>问题：提出增加15个，关闭增加9个，打开增加6个</p>
                        </li>
                        <li>
                            <p>合并请求：提出增加33个，合并增加27个，关闭增加2个，打开增加4个</p>
                        </li>
                    </ul>
                    <p>目前，大多数提出的问题是由项目的贡献者找到的，他们正寻找需要解决的问题，并且需要跟踪这些问题。我记得用户提出支持请求很少（少于5个），其中一些是在Slack上提出并解决的。</p>
                    <p>关于本项目先前宣布的计划，以下是已取得的进展：</p>
                    <ul>
                        <li>
                            <p><strong>代码优化：</strong>
                            </p>
                            <ul>
                                <li>
                                    <p>BCHN开发人员一直在研究univalue库（该库最初由Jeff Garzik创建，如今由各种项目（例如Bitcoin Core）独立维护），该库已被RPC调用广泛使用。</p>
                                    <p>通过优化似乎可以显着提高性能，并且两个BCHN开发人员（Calin Culianu和BigBlockIfTrue）的合作已取得了一些成果，虽然仍是早期阶段。</p>
                                </li>
                            </ul>
                        </li>
                        <li>
                            <p><strong>文档更新：</strong>
                            </p>
                            <ul>
                                <li>
                                    <p>开发人员的进一步更新和构建相关文档</p>
                                </li>
                                <li>
                                    <p>全面检查UNIX安装文档，拆分基于Debian，基于RPM，Arch Linux和FreeBSD操作系统的单独文档</p>
                                </li>
                                <li>
                                    <p>完成我们的网络安全披露文件的定稿，包括我们的网络安全联系人，PGP密钥，网络安全电子邮件地址以及与其他项目的已确认披露关系（有关更多信息，请参见下文）</p>
                                </li>
                            </ul>
                        </li>
                        <li>
                            <p><strong>平台测试：</strong>
                            </p>
                            <ul>
                                <li>添加并验证了用于GUI构建的FreeBSD平台说明，并修复了失败的回归测试。我们能够确认所有单元测试和回归测试都通过了FreeBSD 12.1。</li>
                            </ul>
                        </li>
                        <li>
                            <p><strong>质量保证：</strong>
                            </p>
                            <ul>
                                <li>一种静态检查管道阶段已添加到我们的持续集成（Continuous Integration，CI）中。目前，它运行的检查与比 Bitcoin ABC的“linting”相同，但是随着我们遇到更多对项目有用的静态检查工具，可以对其进行扩展。在最近的一个主状态（请参阅附录A）上执行了Clang Static Analyzer的手动运行，在应用程序代码中未检测到重大问题。在接下来的几周里，我将熟悉可能会提供更多信息的其他工具（过去我已经在Bitcoin
                                    ABC上使用Coverity Scan，但现在我们还拥有PVS-Studio免费许可证（感谢Program Verification Systems，您对开源项目的支持很棒！）</li>
                            </ul>
                        </li>
                        <li>
                            <p><strong>BCHN为5月份BCH升级准确的规格参数：</strong>
                            </p>
                            <ul>
                                <li>
                                    <p>可在<a href="https://gitlab.com/bitcoin-cash-node/bchn-sw/bitcoincash-upgrade-specifications.git"><a href="https://gitlab.com/bitcoin-cash-node/bchn-sw/bitcoincash-upgrade-specifications.git">https://gitlab.com/bitcoin-cash-node/bchn-sw/bitcoincash-upgrade-specifications.git</a></a>上找到适用于即将进行升级的BCHN节点的协议升级规范。我在上一份报告中写到，我们对IFP的关注并没有让他们对过去用于这些主题的存储库进行讨论。好吧，现在我们必须采取行动。
                                        BCHN项目在3月25日题为《关于比特币现金（BCH）升级规范的BCHN公告》一文概述了导致创建这套单独规范的事件和决策。</p>
                                </li>
                                <li>
                                    <p>我们5月份的规格不包括IFP共识更改，但在其他功能方面相同。</p>
                                </li>
                            </ul>
                        </li>
                        <li>
                            <p><strong>公共咨询系统（PCS）：</strong>
                            </p>
                            <ul>
                                <li>我们已经收集了在2020年3月调查的社区反馈（共25份），并将其存储在PCS存储库中。我们开始对这些反馈进行评估（请参阅附录B），并将评估输出存储在该存储库的输出部分。经过更多评估后，我将报告一些摘要结果，从而使这些摘要应该更易于理解。仅仅阅读这些反馈就已经让我受益匪浅。许多用户的问题让我印象深刻。由于我们没有从中国社区那里收到太多反馈，因此我在考虑于4月份进行针对性的调查，以了解我们是否可以更清楚地了解他们的需求。</li>
                            </ul>
                        </li>
                        <li>
                            <p><strong>BCHN项目管理存储库：</strong>
                            </p>
                            <ul>
                                <li>新的公共项目管理存储库已创建。该存储库将包含与BCHN软件的项目设置和生命周期，其质量控制流程，其财务活动（包括筹款活动材料）相关的各种PM文档。目前，正在收集一些团队资料输入，以提供给网站上我们团队页面的构建。团队页面是自愿填写的，其中包含我们项目贡献者的简短简历和照片。这是对社区反馈的回应，我们应该代表自己，我们的简历应更具个人特色。我期待不久后看到更多开发人员和测试人员加入我们！</li>
                            </ul>
                        </li>
                        <li>
                            <p><strong>基准数据存储库：</strong>
                            </p>
                            <ul>
                                <li>已经创建了用于基准数据文件的新存储库，主要是因为需要在不建议提交到主源代码存储库的较大数据文件上运行基准测试。</li>
                            </ul>
                        </li>
                        <li>
                            <p><strong>我们即将举行的Flipstarter众筹活动草案：</strong>
                            </p>
                            <ul>
                                <li>我正在与我们的团队一起研究摘要和活动文本，希望我们能够在第接下来1天或2天将其提交给Flipstarter团队。现在还不能说太多，因为细节目前还没有完全敲定，请大家耐心等待！</li>
                            </ul>
                        </li>
                    </ul>
                    <h3 id="-">正在进行的项目间协作活动</h3>
                    <h4 id="xversion-bu-">Xversion（BU）</h4>
                    <p>这是通过Issue＃45（BU的Port Xversion）在我们这方面进行管理的。我们目前的状态是，已就所需的修改达成了工作协议，以使Xversion可以适用于BCHN和其他项目，并且BU开发人员Greg Griffith将致力于调整规范，然后该规范将成为通用实现的基础。</p>
                    <h4 id="xthinner-jonathan-toomim-">Xthinner（独立开发人员Jonathan Toomim）</h4>
                    <p>这次没有新消息要公布。</p>
                    <h3 id="-">安全披露关系</h3>
                    <p>在确认哪些项目适合与BCHN建立安全合作伙伴关系时，我接触了多个项目。并确认与以下项目进入相互（对等）安全披露关系：</p>
                    <ul>
                        <li>
                            <p>Bitcoin Unlimited</p>
                        </li>
                        <li>
                            <p>BCHD</p>
                        </li>
                        <li>
                            <p>Flowee</p>
                        </li>
                        <li>
                            <p>Knuth</p>
                        </li>
                    </ul>
                    <p>我相信目前我们与Bitcoin Verde也达成了类似的非正式谅解备忘录，但我需要得到正式确认。 恭喜来自Software Verde的Josh Green最近迎来了女儿的出生，我和我们的项目团队送上最真诚的祝福。</p>
                    <p>不幸的是，以下项目完全没有回应我的明确邀请，与我们建立安全披露关系。 我于2020年3月11日向他们的官方网络安全地址发送了邀请邮件。</p>
                    <ul>
                        <li>
                            <p>Bitcoin ABC</p>
                        </li>
                        <li>
                            <p>Bitcoin Core</p>
                        </li>
                        <li>
                            <p>ZCash</p>
                        </li>
                    </ul>
                    <p>BCHN项目希望与比特币现金相关项目（尤其是协议相关）建立安全披露合作。所有人都可以通过bitcoincashnode.org与我们联系，或者通过Slack与我们交谈。</p>
                    <h3 id="-">未来规划</h3>
                    <p>接下来几天的主要工作将是开展筹款活动，但与此同时，我将推动该项目的一个小型补丁发布。 我们承诺不迟于4月15日作为最后期限，以便给用户至少一个月的时间进行安装和测试。 提醒：这将是一个完全可选的发行版——已经运行BCHN的用户不必在5月15日之前再次升级，除非他们希望运行我们的最新软件（我们也很乐意看到这种情况）</p>
                    <hr>
                    <h4 id="-"><strong>如何与我们的项目取得联系——用户可以通过以下链接和资源：</strong></h4>
                    <ul>
                        <li>
                            <p>网站：
                                <a href="https://bitcoincashnode.org/"></a> <a href="https://bitcoincashnode.org"><u><a href="https://bitcoincashnode.org">https://bitcoincashnode.org</a>
                                </u>
                                </a>
                            </p>
                        </li>
                        <li>
                            <p>开发与支持团队Slack聊天频道邀请链接（有效期20天）：</p>
                            <p><a href="https://join.slack.com/t/bitcoincashnode/shared_invite/zt-ctozdnpv-pUknwZpANybRg5xyeKyx8Q"><u><a href="https://join.slack.com/t/bitcoincashnode/shared_invite/zt-ctozdnpv-pUknwZpANybRg5xyeKyx8Q">https://join.slack.com/t/bitcoincashnode/shared_invite/zt-ctozdnpv-pUknwZpANybRg5xyeKyx8Q</a>
                                </u>
                                </a>
                            </p>
                        </li>
                        <li>
                            <p>Telegram: <a href="https://t.me/bitcoincashnode">https://t.me/bitcoincashnode</a>
                            </p>
                        </li>
                        <li>
                            <p>IRC频道：在Freenode上加入<a href="/search?q=%23bchnode">#bchnode</a>
                            </p>
                        </li>
                        <li>
                            <p>我们的开发Slack的日志: <a href="http://logs.bchnode.org/"><a href="http://logs.bchnode.org/">http://logs.bchnode.org/</a></a>
                            </p>
                        </li>
                        <li>
                            <p>GitLab上的主要开发资料库:</p>
                            <p><a href="https://gitlab.com/bitcoin-cash-node/bitcoin-cash-node"><u><a href="https://gitlab.com/bitcoin-cash-node/bitcoin-cash-node">https://gitlab.com/bitcoin-cash-node/bitcoin-cash-node</a>
                                </u>
                                </a>
                            </p>
                        </li>
                        <li>
                            <p>我们网站上的轻松下载链接：</p>
                            <p><a href="https://bitcoincashnode.org/download.html"><u><a href="https://bitcoincashnode.org/download.html">https://bitcoincashnode.org/download.html</a>
                                </u>
                                </a>
                            </p>
                        </li>
                        <li>
                            <p>Github上的完整版本:</p>
                            <p><a href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases"><u><a href="https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases">https://github.com/bitcoin-cash-node/bitcoin-cash-node/releases</a>
                                </u>
                                </a>
                            </p>
                        </li>
                        <li>
                            <p>捐赠地址:
                                <a href="https://bitcoincashnode.org/%23donate"></a> <a href="https://bitcoincashnode.org/#donate"><u><a href="https://bitcoincashnode.org/#donate">https://bitcoincashnode.org/#donate</a>
                                </u>
                                </a>
                            </p>
                        </li>
                        <li>
                            <p>Twitter账号:
                                <a href="https://twitter.com/bitcoincashnode"></a> <a href="https://twitter.com/bitcoincashnode"><u><a href="https://twitter.com/bitcoincashnode">https://twitter.com/bitcoincashnode</a>
                                </u>
                                </a>
                            </p>
                        </li>
                    </ul>
                    <hr>
                    <h4 id="-a">附录A</h4>
                    <p>Clang静态分析器测试运行的输出（clang 8，默认检查器）：</p>
                    <figure class="text-center">
                        <img src="/static/img/newsroom/2020-03-31/5g1oip4jhY95UWmV1lgiXN3l5pA8njDajCUqUHaH.png" class="rounded img-fluid">
                    </figure>

                    <p>报告中的代码部分全部在第三方libsecp256k1库中，该库是加密代码，并可能采取了特殊措施，使静态分析器出现拒绝情况，但这样做有充分的理由（例如，防止定时攻击或确保绝对机密） 数据不会泄漏）。</p>
                    <h4 id="-b">附录B</h4>
                    <p>2020年3月PCS调查输入的初步分类（至3月31日）。</p>
                    <p>这是此文件中数据的电子表格打印视图。 将进行进一步的分析和可视化，并分别进行介绍。</p>
                    <figure class="text-center">
                        <img src="/static/img/newsroom/2020-03-31/cEXN2jch4RT6xRIZ39jiewhE4W9qS2KdqYo91CvJ.png" class="rounded img-fluid">
                    </figure>
                </div>
            </article>
        </div>
    </div>
</section>
{% endblock %}
